Origin: Debian
Description: Provide an install target to the src target.
 Add SONAME to shared libraries.
Forwarded: no
---
 Makefile.in               |    5 ++++-
 configure                 |    4 ++--
 configure.ac              |    4 ++--
 projects/demo/Makefile.in |    6 +++---
 src/Makefile.in           |   20 +++++++++++++++++---
 5 files changed, 28 insertions(+), 11 deletions(-)

--- stk.orig/projects/demo/Makefile.in
+++ stk/projects/demo/Makefile.in
@@ -1,7 +1,7 @@
 ### Do not edit -- Generated by 'configure --with-whatever' from Makefile.in
 ### STK demo Makefile - for various flavors of unix
 
-PROGRAMS = demo
+PROGRAMS = stk-demo
 RM = /bin/rm
 SRC_PATH = ../../src
 OBJECT_PATH = @object_path@
@@ -57,8 +57,8 @@ DEFS    += -DRAWWAVE_PATH=\"$(RAWWAVES)\
 
 all : $(PROGRAMS)
 
-demo: demo.cpp $(OBJECTS)
-	$(CC) $(LDFLAGS) $(CFLAGS) $(DEFS) -o demo demo.cpp $(OBJECT_PATH)/*.o $(LIBRARY)
+stk-demo: demo.cpp $(OBJECTS)
+	$(CC) $(LDFLAGS) $(CFLAGS) $(DEFS) -o stk-demo demo.cpp utilities.cpp -L../../src -lstk $(LIBRARY)
 
 libdemo: demo.cpp
 	$(CC) $(LDFLAGS) $(CFLAGS) $(DEFS) -o demo utilities.cpp demo.cpp -L../../src -lstk $(LIBRARY)
--- stk.orig/src/Makefile.in
+++ stk/src/Makefile.in
@@ -3,13 +3,15 @@
 
 STATICLIB = libstk.a
 SHAREDLIB = @sharedlib@
-MAJOR = 4
+MAJOR = 0
 RELEASE = 4.4.4
 
 AR = ar -rsc
 RM = /bin/rm
 LN = /bin/ln
 OBJECT_PATH = @object_path@
+LIBDIR = @libdir@
+PREFIX = @prefix@
 vpath %.o $(OBJECT_PATH)
 
 OBJECTS	=	Stk.o Generator.o Noise.o Blit.o BlitSaw.o BlitSquare.o Granulate.o \
@@ -71,11 +73,23 @@ $(STATICLIB) : $(OBJECTS)
 	$(AR) $(STATICLIB) $(OBJECT_PATH)/*.o
 
 $(SHAREDLIB) : $(OBJECTS)
-	$(RM) -f $(@) $(SHAREDLIB).$(MAJOR) $(SHAREDLIB)
+	$(RM) -f $(@) $(SHAREDLIB).$(MAJOR).$(RELEASE) $(SHAREDLIB).$(MAJOR) $(SHAREDLIB)
 	$(CC) $(LDFLAGS) -fPIC @libflags@ $(OBJECT_PATH)/*.o $(LIBS)
+	$(LN) -s $(SHAREDLIB).$(MAJOR).$(RELEASE) @sharedname@
 	$(LN) -s @sharedname@ $(SHAREDLIB)
 #	$(LN) -s @sharedname@ $(SHAREDLIB).$(MAJOR)
 
+install-headers:
+	install -d $(DESTDIR)/usr/include/stk
+	cp -r ../include/*.h $(DESTDIR)/usr/include/stk
+
+install: $(SHAREDLIB) install-headers
+	install -d  $(DESTDIR)/usr/share/stk
+	install -d $(DESTDIR)$(PREFIX)$(LIBDIR)
+	install -m 644 $(SHAREDLIB).$(MAJOR).$(RELEASE) $(DESTDIR)$(PREFIX)$(LIBDIR)
+	ln -s $(SHAREDLIB).$(MAJOR).$(RELEASE) $(DESTDIR)$(PREFIX)$(LIBDIR)/$(SHAREDLIB).$(MAJOR)
+	ln -s $(SHAREDLIB).$(MAJOR).$(RELEASE) $(DESTDIR)$(PREFIX)$(LIBDIR)/$(SHAREDLIB)
+
 $(OBJECTS) : Stk.h
 
 clean : 
@@ -86,4 +100,4 @@ clean :
 	$(RM) -fR *.dSYM
 
 distclean: clean
-	$(RM) Makefile
\ No newline at end of file
+	$(RM) Makefile
--- stk.orig/Makefile.in
+++ stk/Makefile.in
@@ -4,7 +4,7 @@ RM = /bin/rm
 
 all :
 	cd src && $(MAKE)
-	cd projects/demo && $(MAKE) libdemo
+	cd projects/demo && $(MAKE) stk-demo
 	cd projects/effects && $(MAKE) libeffects
 	cd projects/ragamatic && $(MAKE) libragamat
 	cd projects/eguitar && $(MAKE) libeguitar
@@ -28,3 +28,6 @@ distclean: clean
 	cd projects/eguitar && $(MAKE) distclean
 	cd projects/examples && $(MAKE) distclean
 
+install:
+	make -C src install
+#	make -C projects/demo install
--- stk.orig/configure
+++ stk/configure
@@ -4898,9 +4898,9 @@ case $host_os in *\ *) host_os=`echo "$h
 
 sharedlib="libstk.so"
 
-sharedname="libstk.so.\$(RELEASE)"
+sharedname="libstk.so.\$(MAJOR)"
 
-libflags="-shared -Wl,-soname,\$(SHAREDLIB).\$(MAJOR) -o \$(SHAREDLIB).\$(RELEASE)"
+libflags="-shared -Wl,-soname,\$(SHAREDLIB).\$(MAJOR) -o \$(SHAREDLIB).\$(MAJOR).\$(RELEASE)"
 
 case $host in
   *-apple*)
--- stk.orig/configure.ac
+++ stk/configure.ac
@@ -93,8 +93,8 @@ CXXFLAGS="$CXXFLAGS $cxxflag"
 AC_CANONICAL_HOST
 
 AC_SUBST( sharedlib, ["libstk.so"] )
-AC_SUBST( sharedname, ["libstk.so.\$(RELEASE)"] )
-AC_SUBST( libflags, ["-shared -Wl,-soname,\$(SHAREDLIB).\$(MAJOR) -o \$(SHAREDLIB).\$(RELEASE)"] )
+AC_SUBST( sharedname, ["libstk.so.\$(MAJOR)"] )
+AC_SUBST( libflags, ["-shared -Wl,-soname,\$(SHAREDLIB).\$(MAJOR) -o \$(SHAREDLIB).\$(MAJOR).\$(RELEASE)"] )
 case $host in
   *-apple*)
   AC_SUBST( sharedlib, ["libstk.dylib"] )
